RTEMS: MVME162

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
MVME162
Board Support Packages » Motorola 68000 and NXP ColdFire (m68k)

MVME162 Board Support Package. More...

## Files
file | bsp.h
| Global BSP definitions.

## Data Structures
struct | mcchip_regs
struct | scc_regs
struct | memc040_regs_
struct | cd2401_regs_

## Macros
#define | mcchip ((mcchip_regs * const) 0xFFF42000)
#define | TX_BUFFER_EMPTY 0x04
#define | RX_DATA_AVAILABLE 0x01
#define | SCC_VECTOR 0x40
#define | scc ((scc_regs * const) 0xFFF45000)
#define | ZWRITE0(port, v) (scc[port].csr = (unsigned char)(v))
#define | ZREAD0(port) (scc[port].csr)
#define | ZREAD(port, n) (ZWRITE0(port, n), (scc[port].csr))
#define | ZREADD(port) (scc[port].csr=0x08, scc[port].csr )
#define | ZWRITE(port, n, v) (ZWRITE0(port, n), ZWRITE0(port, v))
#define | ZWRITED(port, v)
#define | EXTERN extern
#define | MOT_162BUG_VEC_ADDRESS 0x00000000
#define | memc040_1 ((memc040_regs * const) 0xFFF43000)
#define | memc040_2 ((memc040_regs * const) 0xFFF43100)
#define | cd2401 ((cd2401_regs * const) 0xFFF45000)
#define | CD2401_CLK_RATE 20000000
#define | EXTERN extern

## Typedefs
typedef volatile struct memc040_regs_ | memc040_regs
typedef volatile struct cd2401_regs_ | cd2401_regs

## Enumerations
enum | { portB , portA }

## Functions
bool | char_ready (int port, char *ch)
char | char_wait (int port)
void | char_put (int port, char ch)
rtems_isr_entry | set_vector (rtems_isr_entry handler, rtems_vector_number vector, int type)
| Install an interrupt handler.

## Variables
rtems_isr_entry | M68Kvec []
void * | M68Kvec []

## Detailed Description

MVME162 Board Support Package.

MVME167 Board Support Package.

## Macro Definition Documentation

## ◆ ZWRITED

#define ZWRITED | ( |  | port,
|  |  | v
| ) |  |

Value:
(scc[port].csr = 0x08, \
scc[port].csr = (unsigned char)(v))
scc
Definition: 8xx_immap.h:312

## Function Documentation

## ◆ set_vector()

rtems_isr_entry set_vector | ( | rtems_isr_entry | handler,
|  | rtems_vector_number | vector,
|  | int | type
| ) |  |

Install an interrupt handler.

This method installs an interrupt handle.

Parameters

  [in] | handler | is the isr routine
  [in] | vector | is the vector number
  [in] | type | indicates whether RTEMS or RAW intr

Returns
  returns old vector